/**************************
  @file QMC5883LCompass.h
  put this file in the sketch folder
**************************/

#ifndef QMC5883L_Compass
#define QMC5883L_Compass

#include "Wire.h"

class QMC5883LCompass{

  public:
  QMC5883LCompass();
	void init();
  void read();
	int getAzimuth();

  void setMode(byte mode, byte odr, byte rng, byte osr);
	void setMagneticDeclination(int degrees, uint8_t minutes);
	int getX();
	int getY();
	int getZ();
	void setReset();

  private:
  void _writeReg(byte reg,byte val);
	int _get(int index);
	float _magneticDeclinationDegrees = 0;
  byte _ADDR = 0x0D;
	int _vRaw[3] = {0,0,0};
};
#endif
